Triviális kérdés (testing->stable)

 ( enyac | 2012. november 5., hétfő - 12:02 )

Elnézést a bizonyára triviális kérdésért, de amennyiben most használok egy gépet 7.0beta3 (testing) kiadással, úgy a későbbiekben újra kell-e telepítenem a gépet, amikor a testing stable lesz, és a továbbiakban a stable kiadást használnám, vagy a csomagok frissülésével ez automatikusan megtörténik? A sources.list fájlban a sorokban wheezy szerepel. Tényleg elnézést a kérdésért, a Debian számomra újdonság még.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Nem kell újratelepítened. Ha a kódnevén hivatkozol rá, akkor a Wheezy stabillá válásakor nem lesz gond vele.

Köszönöm, reménykedtem valami ilyesmiben! ;-)

Nekem is lenne gy trivialis kerdesem, de nem szeretnek uj temat inditani.

Ha debian weheezy-t vagy stable-t hasznalok, akkor a kesobb kiadott ujabb verzioju szoftverekben megtalalt hibakat/problemakat javitani fogjak a debianban ami a kisebb verzioju szoftver osszetevoket tartalmazza?

Peldaul wheezy-ben a kernel 3.2 szerepel, de nem mukodik vele rendesen 1 hardver. Viszont a 3.4-tol felfele remekul. Tehat a 3.4-ben felhasznalt javitast bele rakjak a debian 3.2 kernelebe? Vagy pl hasznalok valamilyen verzioju Libreofficet a wheezyben, akkor belekerul a kesobb kiadobb libreoffice hibajavitasoka wheezyben szereplo Libreoffice-ba?

Remelem ertheto :)
Koszonom.

Remélem kijavít egy debian fejlesztő, ha esetleg tévedek, de azt tudom, hogy a stabil debianba nem raknak bele újabb szoftvereket, meg új kernelt dem. Természetesen a hibákat javítják meg biztonsági frissítéseket adnak.

Tehát nézzük pl a squeezt - jelenleg ez a stabil. Ha a kernelében ami a 2.6.32-es olyan hiba van ami miatt egy bizonyos hardver hibásan vagy sehogy nem működik, de elvileg a kernel támogatja, azt nyilván idővel javítják. De az olyan hardverek, amik nem támogatottak a kernel verziójából adódóan pl: a TP-Link usb-s wifim, aminek a ath9k_htc modul kell. Ez csak a 2.6.33-as vanilla kernelbe került be, így a 2.6.32-esbe ez nem fog házi hackelés nélkül működni. Legalábbis debiannál biztos nem. Ettől függetlenül vannak olyan linux disztribútorok, akik ezt belegyógyítják. Pl Ubuntu. Nem tudom konkrétan bele rakták-e ezt a drivert mondjuk a 10.04 LTS-be (annak is 2.6.32-es kernele van), de arra jellemző, hogy elég sok drivert gyógyítanak bele.

Testingnél már más a helyzet. Ott kerülnek bele újabb szoftverek, driverek egy darabig. Pontosan addig, amig nincs fagyi. Mivel már a Wheezyt is a nyár elején fagyasztották (tudtommal), így már arra is a stabil ágra jellemző szabályok vonatkoznak.

***********************************************************************

Aláírás szerzői jogok megsértése miatt TÖRÖLVE

DEBIAN forevör!

Igen, stabilra csak biztonsági frissítéseket adnak ki. Ha bizonyos szoftverek újabb verzióit szeretnéd használni, akkor a backports a barátod.

--
Debian - The "What?!" starts not!
http://nyizsa.blogspot.com

Koszonom.